using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Shisen_Sho {
    public partial class FrmHighScores : Form {
        public FrmHighScores(DataSet dsSource) {
            InitializeComponent();

            dgScores.DataMember = "Scores";
            dgScores.DataSource = dsSource;

            dgScores.Columns["Time"].Width -= 40;
            dgScores.Columns["Player"].Width += 100;
            dgScores.Columns["Gravity"].Width -= 50;
            dgScores.Columns["GridSize"].Width -= 20;
            dgScores.Sort(dgScores.Columns["Time"], ListSortDirection.Ascending);
        }

        //public FrmHighScores(DataSet dsSource, int time, string player) : this(dsSource) {
        //    foreach (DataGridViewRow dr in dgScores.Rows) {
        //        dr.Selected = dr.Cells["Time"].Value.Equals(time) &&
        //            dr.Cells["Player"].Value.Equals(player) &&
        //            dr.Cells["Gravity"].Value.Equals(Properties.Settings.Default.gravity) &&
        //            dr.Cells["GridSize"].Value.Equals(Properties.Settings.Default.dim) &&
        //            dr.Cells["Difficulty"].Value.Equals(Properties.Settings.Default.difficulty);
        //        Console.WriteLine("dgv time: " + dr.Cells["Time"].Value + ", desired time: " + time);
        //        Console.WriteLine("dgv Player: " + dr.Cells["Player"].Value + ", desired Player: " + player);
        //        Console.WriteLine("dgv Gravity: " + dr.Cells["Gravity"].Value + ", desired Gravity: " + Properties.Settings.Default.gravity);
        //        Console.WriteLine("dgv GridSize: " + dr.Cells["GridSize"].Value + ", desired GridSize: " + Properties.Settings.Default.dim);
        //        Console.WriteLine("dgv Difficulty: " + dr.Cells["Difficulty"].Value + ", desired Difficulty: " + Properties.Settings.Default.difficulty);
        //        Console.WriteLine("row selected: " + dr.Selected);
        //        Console.WriteLine("--------------------------");
        //    }
        //    dgScores.Rows[5].Selected = true;
        //    dgScores.Refresh();
        //}

        private void btnClose_Click(object sender, EventArgs e) {
            this.Close();
        }

        private void FrmHighScores_Resize(object sender, EventArgs e) {
            dgScores.Height = this.Height - 87;
            btnClose.Left = this.Width - 100;
            btnClose.Top = this.Height - 71;
        }
    }
}